﻿<script type="text/javascript">

    var chkGriderContato = new checkBoxGrid('#grdCadastroContatoGeral');

    //Tratamento de validação
    var tooltipValidationContato = function () {

        var mostrarToolTip = 0;

        if ($('#txtNomCto').val() == "") {
            tooltipCampoObrigatorio("#txtNomCto", "Digite o Nome");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#selTip').val() == null) {
            tooltipCampoObrigatorio(".valicacaoselect2", "Selecione um Tipo");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtNumTlfCtoModCto').val() == "") {
            tooltipCampoObrigatorio("#txtNumTlfCtoModCto", "Digite o telefone");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtDesEndEtnCtoModCto').val() == "") {
            tooltipCampoObrigatorio("#txtDesEndEtnCtoModCto", "Digite o email");
            mostrarToolTip = mostrarToolTip + 1;
        }
        else if ($('#txtDesEndEtnCtoModCto').val() != "") {

            var arroba = String.fromCharCode(64);
            var regex = "[A-Za-z0-9\\._-]+" + arroba + "[A-Za-z0-9\\._-]+\\.[A-Za-z]+";
            var email = $('#txtDesEndEtnCtoModCto').val();

            if (email.search(regex) == -1) {
                tooltipCampoObrigatorio("#txtDesEndEtnCtoModCto", "Email inválido, favor digitar o email correto.");
                mostrarToolTip = mostrarToolTip + 1;
            }
        }


        if ($('#txtNumTlfCelModCto').val() != "" && $('#txtNumTlfCelModCto').val().length < 14) {
            tooltipCampoObrigatorio("#txtNumTlfCelModCto", "Digite o telefone completo");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtNumTlfCtoModCto').val() != "" && $('#txtNumTlfCtoModCto').val().length < 14) {
            tooltipCampoObrigatorio("#txtNumTlfCtoModCto", "Digite o telefone completo");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtNumTlfCtoScdModCto').val() != "" && $('#txtNumTlfCtoScdModCto').val().length < 14) {
            tooltipCampoObrigatorio("#txtNumTlfCtoScdModCto", "Digite o telefone completo");
            mostrarToolTip = mostrarToolTip + 1;
        }

        //if ($('#txtNumTlfCtoTcrModCto').val() != "" && $('#txtNumTlfCtoTcrModCto').val().length < 14) {
        //    tooltipCampoObrigatorio("#txtNumTlfCtoTcrModCto", "Digite o telefone completo");
        //    mostrarToolTip = mostrarToolTip + 1;
        //}

        //if ($('#txtNumTlfCtoQrtModCto').val() != "" && $('#txtNumTlfCtoQrtModCto').val().length < 14) {
        //    tooltipCampoObrigatorio("#txtNumTlfCtoQrtModCto", "Digite o telefone completo");
        //    mostrarToolTip = mostrarToolTip + 1;
        //}

        //if ($('#txtNumTlfCtoQntModCto').val() != "" && $('#txtNumTlfCtoQntModCto').val().length < 14) {
        //    tooltipCampoObrigatorio("#txtNumTlfCtoQntModCto", "Digite o telefone completo");
        //    mostrarToolTip = mostrarToolTip + 1;
        //}

        if (mostrarToolTip > 0) {
            return false;
        }
    };

    var preencheModalContato = function (dados) {

        if (dados.CODTIPCTO != 0) {
            $('#txtCodCto').val(dados.CODCTO);
            $('#txtNomCto').val(dados.NOMCTO);
            $('#txtDesEndEtnCtoModCto').val(dados.DESENDETNCTO);
            $('#txtNumTlfCelModCto').val(dados.NUMTLFCEL);
            $('#txtNumTlfCtoModCto').val(dados.NUMTLFCTO);
            $('#txtNumTlfCtoScdModCto').val(dados.NUMTLFCTOSCD);
            //$('#txtNumTlfCtoTcrModCto').val(dados.NUMTLFCTOTCR);
            //$('#txtNumTlfCtoQrtModCto').val(dados.NUMTLFCTOQRT);
            //$('#txtNumTlfCtoQntModCto').val(dados.NUMTLFCTOQNT);

            if (dados.CODTIPCTO != 8) {

                $('#divDepartamentoSel2').show();
                $('#divDepartamento').hide();

                $('#txtNomCto').prop('readOnly', false);
            }
            else {

                $('#txtTipCto').val(dados.DESTIPCTO);
                $('#divDepartamento').show();
                $('#divDepartamentoSel2').hide();
                $('#txtNomCto').prop('readOnly', true);
            }

            if (dados.CODTIPCTO !== (-1) && dados.CODTIPCTO !== null && dados.DESTIPCTO !== null) {
                $('#selTip').html('<option value="' + dados.CODTIPCTO + '">' +
                    dados.DESTIPCTO + '</option>').trigger('change');
            };

            $('#txtFncCadCtoLog').val(dados.FNCCAD);
            $('#txtDatFncCadCtoLog').val(dados.DATFNCCAD);
            $('#txtFncAltCtoLog').val(dados.FNCALT);
            $('#txtDatFncAltCtoLog').val(dados.DATFNCALT);
            $('#txtFncDstCtoLog').val(dados.FNCDST);
            $('#txtDatFncDstCtoLog').val(dados.DATFNCDST);

            if (dados.STATUS == 'ATIVADO') {
                $('#rbDesativar').prop("checked", false);
                $('#rbAtivar').prop("checked", true);
            }
            else {
                $('#rbDesativar').prop("checked", true);
                $('#rbAtivar').prop("checked", false);
            }
            $(".divShowHideContato").fadeIn();

            $("#btnInserirCadastroContato").hide();
            $("#btnEditarCadastroContato").show();

            $('#modalContato').modal().show();
            $("#modalContato .modal-body").children().show();
        }
        else {
            swal('Atenção!', 'Contato não pode ser modificado!');
            setCustomIcon('fa fa-exclamation-circle');
        }
    };

    //Fecha modal Contato.
    $("#btnFecharCadastroContato").click(function () {
        limparTodosOsCampos("modalContato");
        $('#modalContato').modal('hide');
        apagaTooltipCampos();

        closeLogCto();

        //if ($("#grdCadastroContatoGeralContainer > tbody > tr > td").text().toString().trim() != 'Nenhum registro encontrado') {
        //    $("#grdCadastroContatoGeral").DataTable().ajax.reload();
        //}
    });

    //Função para que ao clicar fora da modal Contato essa seja fechada.
    $('#modalContato').on('hidden.bs.modal', function () {
        $('#btnFecharCadastroContato').click();
    });

    //-Log Info
    $('#btnLogInfoCto').click(function () {
        var ctn = $('#logInfoCtoContainer');
        if (ctn.attr('class').indexOf('is-open') < 0) {
            ctn.addClass('is-open');
            $(this).attr('class', 'fa fa-times');
            //-timeout.
            var openKey = 'info-cnt' + (Math.random() * 500).toFixed(0);
            ctn.attr('data-open-key', openKey);
            @*Função que fecha o log ao clicar fora ou nele*@
            $('.modal-body').append($('<div class="drop-background">').click(function () {
                ctn.removeClass('is-open');
                $('#btnLogInfoCto').attr('class', 'fa fa-file-text-o');
                this.remove();
            }));
        } else {
            ctn.removeClass('is-open');
            $(this).attr('class', 'fa fa-file-text-o');
        }
    });

    var closeLogCto = function (last) {
        $('#logInfoCtoContainer').removeClass('is-open');
        $('#btnLogInfoCto').attr('class', 'fa fa-file-text-o');
    };
        //----------

    @*Função que carrega a funcionalidade da abertura da modal ao clicar na linha, ele carrega todas as informações na modal contato.*@
    var csnCallBackModalContato = function () {

        chkGriderContato.reworkGridPersonalizadoContato();

        $('#grdCadastroContatoGeral tbody tr td').each(function () {

            @*Coloca o codigo e o tipo da entidade do contato que está sendo cadastrado nesse foi entidade a 1- Cliente *@
            $('#txtCodigoEntidadeHid').val($('#txtCodigoCliente').text());
            $('#txtTipoEntidadeHid').val(1);

            $(this).click(function () {

                var data = ($('#grdCadastroContatoGeral').DataTable()).data();

                if (data.length > 0) {

                    var dados = data.row($(this)).data();

                    if (BUSCOU == false) {
                        BUSCOU = true;
                        preencheModalContato(dados);
                    }
                    else {
                        BUSCOU = false;
                    }
                }
            });

        });
    };
    @*------------------------------------*@

    @*Botão que ativa os itens*@
    $("#btnAtivarCto").click(function () {

        var arrayCodigo = chkGriderContato.markList;

        if (arrayCodigo.length != 0) {

            swal({
                title: 'Ativar?',
                text: "Deseja ativar os itens selecionado?",
                showCancelButton: true,
                cancelButtonColor: '#d33',
                cancelButtonText: 'Cancelar',
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Ativar!'
            }).then(function (result) {
                if (result.value) {
                var arrayList = [];
                for (i = 0; i < arrayCodigo.length; i++) {
                    if (arrayCodigo[i].CODCTO > 0) {
                        arrayList.push(arrayCodigo[i].CODCTO);
                    }
                    else {
                        swal("Verificar!", "Contato status Martins não pode ser ativado!");
                        setCustomIcon('fa fa-window-close');
                        arrayCodigo.length = 0;
                        arrayList.length = 0;
                        $('#dvAtvDsvCtoContent').fadeOut();
                        chkGriderContato.reworkGridPersonalizadoContato();
                        return;
                    }
                }

                $.ajax({
                    method: 'POST',
                    url: '@Url.Content("~/api/CadastroContato/AtivarCadastroContato")',
                    headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                    async: false,
                    data: { LISTCODCTO : arrayList} ,
                    success: function (response) {
                        if (response.Code > 0) {
                            swal("Verificar!", "Itens não foram ativados verificar!");
                            setCustomIcon('fa fa-window-close');
                        }
                        else{
                            swal("Ativado!", "Itens ativados com sucesso!");
                            setCustomIcon('fa fa-exclamation-circle');
                            $("#grdCadastroContatoGeral").DataTable().ajax.reload();
                            $('#dvAtvDsvCtoContent').fadeOut();
                            arrayCodigo.length = 0;
                            arrayList.length = 0;
                        }
                     }
                 });
                }
                else {
                    $('#dvAtvDsvCtoContent').fadeOut();
                }
            });
        }
        else {
            swal("Atenção", "Selecione pelo menos um item para continuar.");
            setCustomIcon('fa fa-window-close');
        }
        if (arrayCodigo.length != 0) {
            setCustomIcon('fa fa-question-circle');
        }
    });

    @*Botão que desativa os itens*@
    $("#btnDesativarCto").click(function () {

        var arrayCodigo = chkGriderContato.markList;

        if (arrayCodigo.length != 0) {

            swal({
                title: 'Desativar?',
                text: "Deseja Desativar os itens selecionado?",
                showCancelButton: true,
                cancelButtonColor: '#d33',
                cancelButtonText: 'Cancelar',
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Desativar!'
            }).then(function (result) {
                if (result.value) {
                    var arrayList = [];
                    for (i = 0; i < arrayCodigo.length; i++) {
                        if (arrayCodigo[i].CODCTO > 0) {
                            arrayList.push(arrayCodigo[i].CODCTO);
                        }
                        else {
                            swal("Verificar!", "Contato status Martins não pode ser desativado!");
                            setCustomIcon('fa fa-window-close');
                            arrayCodigo.length = 0;
                            arrayList.length = 0;
                            $('#dvAtvDsvCtoContent').fadeOut();
                            chkGriderContato.reworkGridPersonalizadoContato();
                            return;
                        }
                    }

                    if (arrayList.length == 0) {
                        console.log(arrayList.length);
                    }

                    $.ajax({
                        method: 'POST',
                        url: '@Url.Content("~/api/CadastroContato/DesativarCadastroContato")',
                        headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                        async: false,
                        data: { LISTCODCTO: arrayList },
                        success: function (response) {
                            if (response.Code > 0) {
                                swal("Verificar!", "Itens não foram desativados verificar!");
                                setCustomIcon('fa fa-window-close');
                            }
                            else {
                                swal("Desativado!", "Itens desativados com sucesso!");
                                setCustomIcon('fa fa-exclamation-circle');
                                $("#grdCadastroContatoGeral").DataTable().ajax.reload();
                                $('#dvAtvDsvCtoContent').fadeOut();
                                chkGriderContato.reworkGridPersonalizadoContato();
                                arrayCodigo.length = 0;
                                arrayList.length = 0;
                            }
                        }
                    });
                }
                else {
                    $('#dvAtvDsvCtoContent').fadeOut();
                }
            });
        }
        else {
            swal("Atenção", "Selecione pelo menos um item para continuar.");
            setCustomIcon('fa fa-window-close');
            $('#dvAtvDsvCtoContent').fadeOut();
        }
        if (arrayCodigo.length != 0) {
            setCustomIcon('fa fa-question-circle');
        }
    });
    @*----------------------*@

    //Evento do Update do cadastro Editar
    $("#btnEditarCadastroContato").click(function () {
        var temContatoFiscal = false;


        if ($('#selTip').val() == 7) {
            $('#grdCadastroContatoGeral tbody tr td').each(function () {
                var data = ($('#grdCadastroContatoGeral').DataTable()).data();
                if (data.length > 0) {

                    var dados = data.row($(this).parent()).data();
                    if (dados.DESTIPCTO.trim() == "FISCAL") {

                        if ($('#txtCodCto').val() != dados.CODCTO) {
                            temContatoFiscal = true;
                        }
                    }
                }
            });
        }

        if (temContatoFiscal == true) {
            swal('Aviso!', "Já existe um contato fiscal, cadastro não permitido!");
            setCustomIcon('fa fa-warning');
            return;
        }



        if (tooltipValidationContato() == false) {
            return
        }

            with (new ComponenteAJAXFactory()) {
                with (modelo) {
                    ajaxSuccessCallbackMethod = function () {
                        swal('Alterado!', 'Alteração realizada com sucesso!');
                        setCustomIcon('fa fa-exclamation-circle');
                        limparTodosOsCampos("divContato");
                        $('#modalContato').modal('hide');
                        $("#grdCadastroContatoGeral").DataTable().ajax.reload();

                    };
                    ajaxURL = '@Url.Content("~/api/CadastroContato/AlterarCadastroContato")';
                    async = true;
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCTO", idJsonEnviar = "txtCodCto", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODTIPCTO", idJsonEnviar = "selTip", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NOMCTO", idJsonEnviar = "txtNomCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DESENDETNCTO", idJsonEnviar = "txtDesEndEtnCtoModCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCEL", idJsonEnviar = "txtNumTlfCelModCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTO", idJsonEnviar = "txtNumTlfCtoModCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOSCD", idJsonEnviar = "txtNumTlfCtoScdModCto", tipoJsonEnviar = 'tipoTexto' };
                    //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOTCR", idJsonEnviar = "txtNumTlfCtoTcrModCto", tipoJsonEnviar = 'tipoTexto' };
                    //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOQRT", idJsonEnviar = "txtNumTlfCtoQrtModCto", tipoJsonEnviar = 'tipoTexto' };
                    //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOQNT", idJsonEnviar = "txtNumTlfCtoQntModCto", tipoJsonEnviar = 'tipoTexto' };
                };
                inicializar(null);
            };
    });

    //Evento do Insert do cadastro Inserir
    $("#btnInserirCadastroContato").click(function () {
        var temContatoFiscal = false;

        if ($('#selTip').val() == 7) {
            $('#grdCadastroContatoGeral tbody tr td').each(function () {
                var data = ($('#grdCadastroContatoGeral').DataTable()).data();
                if (data.length > 0) {

                    var dados = data.row($(this).parent()).data();

                    if (dados.DESTIPCTO.trim() == "FISCAL") {
                        temContatoFiscal = true;
                    }
                }
            });
        }

        if (temContatoFiscal == true) {
            swal('Aviso!', "Já existe um contato fiscal, cadastro não permitido!");
            setCustomIcon('fa fa-warning');
            return;
        }

        if (tooltipValidationContato() == false) {
            return
        }

            with (new ComponenteAJAXFactory()) {
                with (modelo) {
                    ajaxSuccessCallbackMethod = function () {

                        swal('Inserido!', 'Inserção realizada com sucesso!');
                        setCustomIcon('fa fa-exclamation-circle');
                        limparTodosOsCampos("divContato");
                        $('#modalContato').modal('hide');
                        $("#grdCadastroContatoGeral").DataTable().ajax.reload();

                    };
                    ajaxURL = '@Url.Content("~/api/CadastroContato/InserirCadastroContato")';
                    async = true;
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODEDE", idJsonEnviar = "txtCodigoEntidadeHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "TIPEDE", idJsonEnviar = "txtTipoEntidadeHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODTIPCTO", idJsonEnviar = "selTip", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NOMCTO", idJsonEnviar = "txtNomCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DESENDETNCTO", idJsonEnviar = "txtDesEndEtnCtoModCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCEL", idJsonEnviar = "txtNumTlfCelModCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTO", idJsonEnviar = "txtNumTlfCtoModCto", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOSCD", idJsonEnviar = "txtNumTlfCtoScdModCto", tipoJsonEnviar = 'tipoTexto' };
                    //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOTCR", idJsonEnviar = "txtNumTlfCtoTcrModCto", tipoJsonEnviar = 'tipoTexto' };
                    //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOQRT", idJsonEnviar = "txtNumTlfCtoQrtModCto", tipoJsonEnviar = 'tipoTexto' };
                    //with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMTLFCTOQNT", idJsonEnviar = "txtNumTlfCtoQntModCto", tipoJsonEnviar = 'tipoTexto' };
                };
                inicializar(null);
            };
    });

    //var remind = function () {

    //    $('#selTip').change(function () {
    //        tooltipApagarValidation(".valicacaoselect2");
    //    });
    //}();

        var gridContatoGeral = function (ajaxQuery) {

                @*Data table do contato.*@
            with (new ComponenteDataTables()) {
                with (modelo) {
                    idContainerControle = "grdCadastroContatoGeralContainer"
                    idControle = "grdCadastroContatoGeral";
                    ajaxPostURL = ajaxQuery;
                    naoFiltrarPorColuna = true;
                    naoFixarColunas = true;
                    paging = false;
                    scrollCollapse = true;
                    fnDrawCallback = csnCallBackModalContato;
                    //
                    with (addBotoes) {
                        nomeBotao = "btnInserirContatoModalGeral";
                        nomeClasse = "btn black";
                        texto = "<i class='fa fa-plus'></i> Novo";
                    };

                    @* Botão da grid do lado direto *@
                    with (addBotoes) {
                        nomeBotao = "btnFiltroGrid";
                        nomeClasse = "dropdown-toggle filtro-contrato";
                        texto = '<i class="fa" aria-hidden="true"></i> Selecione um Departamento';
                    };


                    //
                    @*Botão da grid do lado direto*@
                    with (addBotoes) {
                        nomeBotao = "btnAtivarDesativarCtoGrid";
                        nomeClasse = "dropdown-toggle";
                        texto = '<i class="fa fa-power-off" aria-hidden="true"></i> Ativar/Desativar';
                    };
                    with (addColunas) { cabecalho = "{check}", nomeColuna = "CODCTO", classeColuna = "check-this" };
                    with (addColunas) { cabecalho = "Nome", nomeColuna = "NOMCTO" };
                    with (addColunas) { cabecalho = "Departamento", nomeColuna = "DESTIPCTO" };
                    with (addColunas) { cabecalho = "Telefone", nomeColuna = "NUMTLFCTO", classeColuna = "text-right" };
                    with (addColunas) { cabecalho = "Celular", nomeColuna = "NUMTLFCEL", classeColuna = "text-right" };
                    //with (addColunas) { cabecalho = "Telefone", nomeColuna = "NUMTLFCTOSCD", classeColuna = "text-right" };
                    //with (addColunas) { cabecalho = "Telefone", nomeColuna = "NUMTLFCTOTCR", classeColuna = "text-right" };
                    //with (addColunas) { cabecalho = "Telefone", nomeColuna = "NUMTLFCTOQRT", classeColuna = "text-right" };
                    //with (addColunas) { cabecalho = "Telefone", nomeColuna = "NUMTLFCTOQNT", classeColuna = "text-right" };
                    with (addColunas) { cabecalho = "E-mail", nomeColuna = "DESENDETNCTO" };
                    with (addColunas) { cabecalho = "Status", nomeColuna = "STATUS", classeColuna = "text-center" };

                    //Pesquisa usando o cliente
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODEDE", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODTIPCTO", idJsonEnviar = "slcTpDeptFiltro", tipoJsonEnviar = 'tipoNumerico' };
                }
                inicializar(null);
            }

            $("#slcTpDeptFiltro").change(function () {
                //alert($(this).val());
                $('#grdCadastroContatoGeral').DataTable().ajax.reload();
            });

            @*Botão novo da grid*@
            $(".btnInserirContatoModalGeral").click(function () {

                $("#modalContato").modal().show();
                $("#modalContato .modal-body").children().show();

                $("#btnInserirCadastroContato").show();
                $("#btnEditarCadastroContato").hide();

                $('#txtCodigoEntidadeHid').val($('#txtCodigoCliente').text());
                $('#txtTipoEntidadeHid').val(1);

                $(".divShowHideContato").hide();
                $("#divDepartamento").hide();
                $("#divDepartamentoSel2").show();
                $('#txtNomCto').prop('readOnly', false);

                $('#modalContato').modal().show();
                $("#modalContato .modal-body").children().show();
            });
        };



        var mostrarGridFiltroContato = function () {

            @* Função para que o drop do ativar / desativar feche ao clicar fora *@
            //$('body').append($('#dvFiltroCtoContent').detach());
            @* Função para mostrar o drop da grid *@
            //$('.btnFiltroGrid').click(function () {
            //    var btn = $(this);
            //    var offset = btn.offset();
            //    $('#dvFiltroCtoContent').css({
            //        'left': offset.left + 85,
            //        'top': offset.top - 4,
            //        'border-radius': 5
            //    }).show().width(200);
            //    //
            //    $('body').append($('<div class="drop-background">').click(function () {
            //        $('#dvFiltroCtoContent').fadeOut();
            //        $(this).remove();
            //    }));
            //    //$('body').append($('<div class="drop-background">').click(function () {
            //    //    $('#dvFiltroCtoContent').fadeOut();
            //    //    $(this).remove();
            //    //}));
            //});
            $('.btnFiltroGrid').parent().append($('#slcTpDeptFiltro').detach().show());
            $('.btnFiltroGrid').remove();
            $.ajax({
                type: "POST",
                url: '@Url.Content("~/api/Select2TiposContatos/ObterDescricoesTiposContatosTodos")',
                contentType: "application/json; charset=utf-8",
                headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                dataType: "json",
                data: JSON.stringify({ "CODTIPCTO": 0 }),
                success: function (response) {
                    $.each(response, function (i, item) {
                        var option = new Option(item.DESTIPCTO, item.CODTIPCTO);
                        $("#slcTpDeptFiltro").append(option);
                    });
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    console.log(jqXHR);
                }
            });
        };



        var mostrarGridAtivarDesativarContato = function () {

            @*Função para que o drop do ativar / desativar feche ao clicar fora*@
            $('body').append($('#dvAtvDsvCtoContent').detach());
            @*Função para mostrar o drop da grid*@
            $('.btnAtivarDesativarCtoGrid').click(function () {
                var btn = $(this);
                var offset = btn.offset();
                $('#dvAtvDsvCtoContent').css({
                    'left': offset.left,
                    'top': offset.top + 40
                }).show().width(btn.width() + 50);
                //
                $('body').append($('<div class="drop-background">').click(function () {
                    $('#dvAtvDsvCtoContent').fadeOut();
                    $(this).remove();
                }));
            });

        };

</script>